Houdini Engine and UE 4.13

   8228   18   2
User Avatar
Member
24 posts
Joined: 6月 2016
Offline
Hi guys,
is the current Houdini Engine for UE 4.12 compatible with UE 4.13?
If not, do you know when it's going to be released the compatible version of it?

Thank you
Edited by antoniocappiello_fx - 2016年9月22日 10:22:10
User Avatar
Member
603 posts
Joined: 9月 2016
Offline
Hi,
The current source is not compatible with 4.13 because there were a few breaking changes to the APIs we are using. We plan to create a 4.13 branch soon at which point we will maintain 4.13 and 4.12 compatibility. I would estimate this to happen within the next week or two. Is this urgent for you?
User Avatar
Member
173 posts
Joined: 4月 2014
Offline
We'd be interested in 4.13 port. But we don't have an ETA atm, but definitely not within 2-3 weeks.
Any chance you guys would have the time to fix deprecation warnings on 4.12?

Thanks and keep up the good work!
User Avatar
Member
24 posts
Joined: 6月 2016
Offline
Hi Chrisgreb,
one or two weeks sounds good, but if there's a chance to anticipate, it would be awesome. =]

Thank you so much
User Avatar
Member
603 posts
Joined: 9月 2016
Offline
The 4.13 branch is now live on Github and ready for testing. Enjoy!
User Avatar
Member
173 posts
Joined: 4月 2014
Offline
Will you guys fix the deprecation warnings? It's quite spammy in build log… But thanks.
Edited by ttvdsfx - 2016年10月6日 23:45:28
User Avatar
Member
603 posts
Joined: 9月 2016
Offline
ttvdsfx
Will you guys fix the deprecation warnings? It's quite spammy in build log… But thanks.

I don't see any deprecation warnings in my build. What are you seeing? Is this a game or editor build?

Thanks
User Avatar
Member
173 posts
Joined: 4月 2014
Offline
chrisgreb
ttvdsfx
Will you guys fix the deprecation warnings? It's quite spammy in build log… But thanks.

I don't see any deprecation warnings in my build. What are you seeing? Is this a game or editor build?

Thanks

Hey! Sorry, it's been a while since we sync'd up and I guess I missed the patch that removed the deprecated stuff. Works great, thanks!
User Avatar
Member
2 posts
Joined: 1月 2017
Offline
How about 4.14.3 ? Is houdini gonna work this that any time soon?
User Avatar
Member
453 posts
Joined: 2月 2013
Offline
4.14.3 should be working with any recent daily build. The third update number is like a patch, but is not allowed to break binary compatibility. So Houdini Engine is the same for 4.14.0 as for 4.14.3 and if I'm not mistaken 4.14 is already supported for a while.
User Avatar
スタッフ
541 posts
Joined: 9月 2016
Offline
Hi,

DASD is right, 4.14.3 should work just fine with the 4.14 plug-in.
User Avatar
Member
2 posts
Joined: 1月 2017
Offline
dpernuit
Hi,

DASD is right, 4.14.3 should work just fine with the 4.14 plug-in.


Thats weird.. UE4 says otherwise for me. I cant even open any projects if i install houdini.
But i will try a daily build and see if that helps.
Edited by PsychedSE - 2017年1月13日 07:22:58
User Avatar
Member
7 posts
Joined: 2月 2013
Offline
UPDATE: Removing the HoudiniEngine folder from Engine/plugins/Runtime let's me start unreal again, but I would love to be able to use Houdini Engine. Any ideas on how to fix that are appreciated.

Yeah, I'm having this problem. I just installed 15.5.717 and ticked Houdini Engine for Unreal engine 4.14.
Now when I try to start my 4.14.0 project I get this:



If I click yes, it loads to 75% and then gives me this:


And then unreal stops loading.

If I click No, it brings up a warning about oculus rift (I don't have one, and have never installed anything for it) and then stops loading.

I am now Locked out of Unreal. How do I get around this? Ideally I'd get HoudiniEngine working but right now, I just need to be able to get back into unreal to work!
Edited by Demno - 2017年1月15日 06:57:10
User Avatar
Member
603 posts
Joined: 9月 2016
Offline
If you need to disable a plugin outside the editor you can do that by adding:

		{
"Name": "HoudiniEngine",
"Enabled": false
}

to the “Plugins” array in your project's .uproject file.


What version of UE4 are you using ? Never mind - I see said 14.4.0
Edited by chrisgreb - 2017年1月16日 09:54:00
User Avatar
スタッフ
541 posts
Joined: 9月 2016
Offline
Hi Denmo,

Have you tried using the plug-in with a new UE4 project?
It seems that the error you're getting is caused by a non-monolithic build, have you changed that in your project?

If you don't want to install 15.5.717 again, you can manually reinstall the plugin by copying the HoudiniEngine folder in “C:\Program Files\Side Effects Software\Houdini 15.5.717\engine\unreal\4.14” (or equivalent) to the Engine/Plugins/Runtime folder of UE4.
User Avatar
Member
7 posts
Joined: 2月 2013
Offline
dpernuit
Hi Denmo,

Have you tried using the plug-in with a new UE4 project?
It seems that the error you're getting is caused by a non-monolithic build, have you changed that in your project?

If you don't want to install 15.5.717 again, you can manually reinstall the plugin by copying the HoudiniEngine folder in “C:\Program Files\Side Effects Software\Houdini 15.5.717\engine\unreal\4.14” (or equivalent) to the Engine/Plugins/Runtime folder of UE4.

I tried pasting the HoudiniEngine folder from my C:\Program Files\Side Effects Software\Houdini 15.5.717\engine\unreal\4.14 into E:\Unreal\Epic Games\4.14\Engine\Plugins\Runtime and I get the same problem when I start the project. I made a new 4.14 project to be sure.
Edited by Demno - 2017年1月24日 04:31:14
User Avatar
Member
7 posts
Joined: 2月 2013
Offline
Solved it!

In case someone else has the same problem. I had to create a new C++ project, not a blueprint one. When I did so, I was told that my version of visual studio was missing a few components. Once they were installed, I could drop in the folder as described above, and when I started the project it asked me to build the plugin. Once I did, all was good!
User Avatar
スタッフ
541 posts
Joined: 9月 2016
Offline
Good news!
Do you remember what were the missing components? Normally UE / Houdini include all the required dependencies on install..
User Avatar
Member
7 posts
Joined: 2月 2013
Offline
Argh. I should have written it down. But it was something about Win 8 sdk (I'm running Win 10…) and something about a missing 32 bit compiler.

This thread helped me figure it out.
https://answers.unrealengine.com/questions/527489/updating-from-49-to-414-with-2015-community-i-get.html [answers.unrealengine.com]
  • Quick Links